Package org.eclipse.mat.inspections

# Class GroupByValueQuery

java.lang.Object
org.eclipse.mat.inspections.GroupByValueQuery

All Implemented Interfaces:
  `IQuery`

public class GroupByValueQuery extends Object implements IQuery

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`field`
`IHeapObjectArgument`
`objects`
`ISnapshot`
`snapshot`

## Constructor Summary

Constructors
Constructor
Description
`GroupByValueQuery()`

## Method Summary

Modifier and Type
Method
Description
`IResult`
`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### snapshot

public ISnapshot snapshot

### objects

public IHeapObjectArgument objects

### field

public String field

## Constructor Details

### GroupByValueQuery

public GroupByValueQuery()

## Method Details

### execute

public IResult execute(IProgressListener listener) throws Exception
Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query